작업 공간 오케스트레이션 엔진을 통해 세션에 대한 분산된 추적을 가져옵니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/traces
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/traces?session_id=string' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"count": 42,
"success": true,
"traces": [
{
"attributes": {},
"duration_ns": 42,
"end_time_ns": 42,
"events": [],
"kind": "string",
"name": "string",
"parent_span_id": "string",
"resource": {},
"root_execution_id": "string",
"root_session_id": "string",
"session_id": "string",
"span_id": "string",
"start_time_ns": 42,
"status": {},
"trace_id": "string"
}
]
}
응답 예시(200)
{
"count": 42,
"success": true,
"traces": [
{
"attributes": {},
"duration_ns": 42,
"end_time_ns": 42,
"events": [],
"kind": "string",
"name": "string",
"parent_span_id": "string",
"resource": {},
"root_execution_id": "string",
"root_session_id": "string",
"session_id": "string",
"span_id": "string",
"start_time_ns": 42,
"status": {},
"trace_id": "string"
}
]
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}